Permalink
Browse files

Upgrading to rails 3 final, removing a bunch of deprecation warnings …

…along the way
  • Loading branch information...
1 parent 4b6b171 commit df521d307ad5ff452a7f3cdd93c863755fbfb0a2 @qrush qrush committed Aug 31, 2010
File renamed without changes.
@@ -1,40 +1,15 @@
source 'http://rubygems.org'
-gem 'rails', '3.0.0.beta4'
-
-# Bundle edge Rails instead:
-# gem 'rails', :git => 'git://github.com/rails/rails.git'
-
-gem 'sqlite3-ruby', :require => 'sqlite3'
-
-gem 'mocha'
-
-gem 'formtastic', :git => "git://github.com/justinfrench/formtastic.git", :branch => "rails3"
-
-gem 'shoulda', '>= 2.11', :git => "git://github.com/thoughtbot/shoulda.git"
-gem 'factory_girl_rails'
-gem 'nokogiri', '1.4.1'
-
-gem 'capybara'
-gem 'database_cleaner'
-gem 'cucumber-rails', '0.3.2'
-gem 'cucumber', '0.8.0'
-gem 'launchy'
-
-# Use unicorn as the web server
-# gem 'unicorn'
-
-# Deploy with Capistrano
-# gem 'capistrano'
-
-# Bundle the extra gems:
-# gem 'bj'
-# gem 'nokogiri', '1.4.1'
-# gem 'sqlite3-ruby', :require => 'sqlite3'
-# gem 'aws-s3', :require => 'aws/s3'
-
-# Bundle gems for certain environments:
-# gem 'rspec', :group => :test
-# group :test do
-# gem 'webrat'
-# end
+gem 'rails', '3.0.0'
+
+gem 'sqlite3-ruby', '1.3.1', :require => 'sqlite3'
+
+gem 'capybara', '0.3.9'
+gem 'cucumber', '0.8.5'
+gem 'cucumber-rails', '0.3.2'
+gem 'factory_girl_rails', '1.0'
+gem 'formtastic', '1.1.0.beta'
+gem 'launchy', '0.3.7'
+gem 'mocha', '0.9.8'
+gem 'nokogiri', '1.4.1'
+gem 'shoulda', '2.11.3'
@@ -7,4 +7,4 @@ require 'rake'
require 'rake/testtask'
require 'rake/rdoctask'
-Rails::Application.load_tasks
+Rails3Root::Application.load_tasks
@@ -16,4 +16,6 @@
# Don't care if the mailer can't send
config.action_mailer.raise_delivery_errors = false
+
+ config.active_support.deprecation = :stderr
end
@@ -29,4 +29,6 @@
# This is necessary if your schema can't be completely dumped by the schema dumper,
# like if you have constraints or database-specific column types
# config.active_record.schema_format = :sql
+
+ config.active_support.deprecation = :stderr
end
@@ -1,6 +1,6 @@
-Rails3Root::Application.routes.draw do |map|
- map.resource :account
- map.root :controller => 'accounts', :action => 'edit'
+Rails3Root::Application.routes.draw do
+ resource :account
+ root :to => 'accounts#edit'
# The priority is based upon order of creation:
# first created -> highest priority.
@@ -1,15 +1,16 @@
-# This file is auto-generated from the current state of the database. Instead of editing this file,
-# please use the migrations feature of Active Record to incrementally modify your database, and
-# then regenerate this schema definition.
+# This file is auto-generated from the current state of the database. Instead
+# of editing this file, please use the migrations feature of Active Record to
+# incrementally modify your database, and then regenerate this schema definition.
#
-# Note that this schema.rb definition is the authoritative source for your database schema. If you need
-# to create the application database on another system, you should be using db:schema:load, not running
-# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
+# Note that this schema.rb definition is the authoritative source for your
+# database schema. If you need to create the application database on another
+# system, you should be using db:schema:load, not running all the migrations
+# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.
-ActiveRecord::Schema.define(:version => 20100822062949) do
+ActiveRecord::Schema.define(:version => 20100831183626) do
create_table "users", :force => true do |t|
t.string "email"
@@ -1,24 +1,17 @@
source 'http://rubygems.org'
-gem 'rails', '3.0.0.beta4'
-
-# Bundle edge Rails instead:
-# gem 'rails', :git => 'git://github.com/rails/rails.git'
+gem 'rails', '3.0.0'
gem 'sqlite3-ruby', :require => 'sqlite3'
-gem 'mocha'
-
-gem 'formtastic', :git => "git://github.com/justinfrench/formtastic.git", :branch => "rails3"
-
-gem 'shoulda', '>= 2.11', :git => "git://github.com/thoughtbot/shoulda.git"
-gem 'factory_girl_rails'
-gem 'nokogiri', '1.4.1'
-
-gem 'capybara'
-gem 'database_cleaner'
-gem 'cucumber-rails', '0.3.2'
-gem 'cucumber', '0.8.5'
-gem 'launchy'
+gem 'capybara', '0.3.9'
+gem 'cucumber', '0.8.5'
+gem 'cucumber-rails', '0.3.2'
+gem 'factory_girl_rails', '1.0'
+gem 'formtastic', '1.1.0.beta'
+gem 'launchy', '0.3.7'
+gem 'mocha', '0.9.8'
+gem 'nokogiri', '1.4.1'
+gem 'shoulda', '2.11.3'
gem 'clearance', :path => '../..'
@@ -1,57 +1,41 @@
-GIT
- remote: git://github.com/justinfrench/formtastic.git
- revision: 42b4eb8
- branch: rails3
- specs:
- formtastic (1.0.0)
- actionpack (>= 2.3.0)
- activesupport (>= 2.3.0)
- i18n (>= 0.4.0)
-
-GIT
- remote: git://github.com/thoughtbot/shoulda.git
- revision: 02520e4
- specs:
- shoulda (2.11.3)
-
PATH
remote: /Users/qrush/Dev/ruby/clearance
specs:
- clearance (0.9.0.rc6)
+ clearance (0.9.0.rc7)
rails (~> 3.0.0.beta4)
GEM
remote: http://rubygems.org/
specs:
abstract (1.0.0)
- actionmailer (3.0.0.beta4)
- actionpack (= 3.0.0.beta4)
- mail (~> 2.2.3)
- actionpack (3.0.0.beta4)
- activemodel (= 3.0.0.beta4)
- activesupport (= 3.0.0.beta4)
+ actionmailer (3.0.0)
+ actionpack (= 3.0.0)
+ mail (~> 2.2.5)
+ actionpack (3.0.0)
+ activemodel (= 3.0.0)
+ activesupport (= 3.0.0)
builder (~> 2.1.2)
- erubis (~> 2.6.5)
+ erubis (~> 2.6.6)
i18n (~> 0.4.1)
- rack (~> 1.1.0)
- rack-mount (~> 0.6.3)
+ rack (~> 1.2.1)
+ rack-mount (~> 0.6.12)
rack-test (~> 0.5.4)
- tzinfo (~> 0.3.16)
- activemodel (3.0.0.beta4)
- activesupport (= 3.0.0.beta4)
+ tzinfo (~> 0.3.23)
+ activemodel (3.0.0)
+ activesupport (= 3.0.0)
builder (~> 2.1.2)
i18n (~> 0.4.1)
- activerecord (3.0.0.beta4)
- activemodel (= 3.0.0.beta4)
- activesupport (= 3.0.0.beta4)
- arel (~> 0.4.0)
- tzinfo (~> 0.3.16)
- activeresource (3.0.0.beta4)
- activemodel (= 3.0.0.beta4)
- activesupport (= 3.0.0.beta4)
- activesupport (3.0.0.beta4)
- arel (0.4.0)
- activesupport (>= 3.0.0.beta)
+ activerecord (3.0.0)
+ activemodel (= 3.0.0)
+ activesupport (= 3.0.0)
+ arel (~> 1.0.0)
+ tzinfo (~> 0.3.23)
+ activeresource (3.0.0)
+ activemodel (= 3.0.0)
+ activesupport (= 3.0.0)
+ activesupport (3.0.0)
+ arel (1.0.1)
+ activesupport (~> 3.0.0)
builder (2.1.2)
capybara (0.3.9)
culerity (>= 0.2.4)
@@ -70,7 +54,6 @@ GEM
cucumber-rails (0.3.2)
cucumber (>= 0.8.0)
culerity (0.2.12)
- database_cleaner (0.5.2)
diff-lcs (1.1.2)
erubis (2.6.6)
abstract (>= 1.0.0)
@@ -80,6 +63,10 @@ GEM
rails (>= 3.0.0.beta4)
ffi (0.6.3)
rake (>= 0.8.7)
+ formtastic (1.1.0.beta)
+ actionpack (>= 2.3.0)
+ activesupport (>= 2.3.0)
+ i18n (>= 0.4.0)
gherkin (2.1.5)
trollop (~> 1.16.2)
i18n (0.4.1)
@@ -96,33 +83,34 @@ GEM
rake
nokogiri (1.4.1)
polyglot (0.3.1)
- rack (1.1.0)
- rack-mount (0.6.11)
+ rack (1.2.1)
+ rack-mount (0.6.13)
rack (>= 1.0.0)
rack-test (0.5.4)
rack (>= 1.0)
- rails (3.0.0.beta4)
- actionmailer (= 3.0.0.beta4)
- actionpack (= 3.0.0.beta4)
- activerecord (= 3.0.0.beta4)
- activeresource (= 3.0.0.beta4)
- activesupport (= 3.0.0.beta4)
- bundler (>= 0.9.26)
- railties (= 3.0.0.beta4)
- railties (3.0.0.beta4)
- actionpack (= 3.0.0.beta4)
- activesupport (= 3.0.0.beta4)
- rake (>= 0.8.3)
- thor (~> 0.13.6)
+ rails (3.0.0)
+ actionmailer (= 3.0.0)
+ actionpack (= 3.0.0)
+ activerecord (= 3.0.0)
+ activeresource (= 3.0.0)
+ activesupport (= 3.0.0)
+ bundler (~> 1.0.0)
+ railties (= 3.0.0)
+ railties (3.0.0)
+ actionpack (= 3.0.0)
+ activesupport (= 3.0.0)
+ rake (>= 0.8.4)
+ thor (~> 0.14.0)
rake (0.8.7)
rubyzip (0.9.4)
- selenium-webdriver (0.0.27)
+ selenium-webdriver (0.0.28)
ffi (>= 0.6.1)
json_pure
rubyzip
+ shoulda (2.11.3)
sqlite3-ruby (1.3.1)
term-ansicolor (1.0.5)
- thor (0.13.8)
+ thor (0.14.0)
treetop (1.4.8)
polyglot (>= 0.3.1)
trollop (1.16.2)
@@ -132,16 +120,15 @@ PLATFORMS
ruby
DEPENDENCIES
- capybara
+ capybara (= 0.3.9)
clearance!
cucumber (= 0.8.5)
cucumber-rails (= 0.3.2)
- database_cleaner
- factory_girl_rails
- formtastic!
- launchy
- mocha
+ factory_girl_rails (= 1.0)
+ formtastic (= 1.1.0.beta)
+ launchy (= 0.3.7)
+ mocha (= 0.9.8)
nokogiri (= 1.4.1)
- rails (= 3.0.0.beta4)
- shoulda (>= 2.11)!
+ rails (= 3.0.0)
+ shoulda (= 2.11.3)
sqlite3-ruby
@@ -7,4 +7,4 @@ require 'rake'
require 'rake/testtask'
require 'rake/rdoctask'
-Rails::Application.load_tasks
+Rails3Root::Application.load_tasks
@@ -16,4 +16,6 @@
# Don't care if the mailer can't send
config.action_mailer.raise_delivery_errors = false
+
+ config.active_support.deprecation = :stderr
end
@@ -29,4 +29,6 @@
# This is necessary if your schema can't be completely dumped by the schema dumper,
# like if you have constraints or database-specific column types
# config.active_record.schema_format = :sql
+
+ config.active_support.deprecation = :stderr
end
@@ -1,6 +1,6 @@
-Rails3Root::Application.routes.draw do |map|
- map.resource :account
- map.root :controller => 'accounts', :action => 'edit'
+Rails3Root::Application.routes.draw do
+ resource :account
+ root :to => 'accounts#edit'
# The priority is based upon order of creation:
# first created -> highest priority.

0 comments on commit df521d3

Please sign in to comment.